#pragma once

#include "Widget.h"

class StackWidget : public Widget
{
public:
    StackWidget();

    static std::unique_ptr<StackWidget> Create();

    void ShowChild(Widget* child);
};

using StackWidgetUPtr = std::unique_ptr<StackWidget>;
